<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Note Dote</title>
  {% load static %}
  <link rel = "stylesheet" type= "text/css" href="{% static 'style.css'%}">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
  <style>
    .text-red{
        color: tomato !important;
    }
</style>
</head>

<body>
    <div class = body-index>
        <header>
          <div class="container">
            <div class="header-right">
                <a href="/tasks"><b>View Task</b></a>
                <a href="/tasks/add-task"><b>Add Task</b></a>
            </div>
          </div>
        </header>  
        <div class ="body-container">
          <div class="area"></div><nav class="main-menu">
            <ul>
                <li>
                    <a href="/tasks">
                        <i class="fa fa-home fa-2x"></i>
                        <span class="nav-text">
                            Dashboard
                        </span>
                    </a>
                  
                </li>
                <li class="has-subnav">
                    <a href="/personal_journal">
                        <i class="fa fa-laptop fa-2x"></i>
                        <span class="nav-text">
                            Personal Journal
                        </span>
                    </a>
                    
                </li>
                <li class="has-subnav">
                    <a href="/notes">
                       <i class="fa fa-folder-open fa-2x"></i>
                        <span class="nav-text">
                            Notes
                        </span>
                    </a>
                   
                </li>
                <li>
                    <a href="/motivasi/view_motivasi/">
                        <i class="fa fa-font fa-2x"></i>
                        <span class="nav-text">
                           Quotes
                        </span>
                    </a>
                </li>
                <li>
                   <a href="/weekly_schedule">
                       <i class="fa fa-table fa-2x"></i>
                        <span class="nav-text">
                            Weekly Schedule
                        </span>
                    </a>
                </li>
                <li>
                    <a href="/profile">
                       <i class="fa fa-info fa-2x"></i>
                        <span class="nav-text">
                            Profile
                        </span>
                    </a>
                </li>
            </ul>
  
            <ul class="logout">
                <li>
                   <a href="#">
                         <i class="fa fa-power-off fa-2x"></i>
                        <span class="nav-text">
                            Logout
                        </span>
                    </a>
                </li>  
            </ul>
        </nav>
  <!-- Content Wrapper. Contains page content -->
  <div class="container">
    <div class="row pt-5">
        <div class="col-12">
            <p style="font: Raleway;"><b>Upcoming Deadline</b></p>
            <table class="table" id="table">
                <thead>
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Deadline</th>
                    <th scope="col">Description</th>
                    <th scope="col">Actions</th>
                  </tr>
                </thead>
                <tbody>
                    {% for task in tasks %}
                    <tr class="record">
                        <td>{{ task.name }}</td>
                        <td>{{ task.task_date }} {{ task.end_time }}</td>
                        <td>{{ task.description }}</td>
                        <td>
                            <a href="{% url 'tasks:delete' task.id  %}" class="link-delete text-danger">Done</a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
              </table>
        </div>
    </div>
</div>
  <!-- /.content-wrapper -->

  

  <script src="https://code.jquery.com/jquery-3.5.1.js" integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
  <script>
    $(".link-delete").on("click", function(e){
        e.preventDefault();
        var $this = $(this);
        if(confirm("Are you sure you have done this task?")){
            $.ajax({
                url: $this.attr("href"),
                type: "GET",
                dataType: "json",
                success: function(resp){
                    if(resp.message == "success"){
                        $this.parents(".record").fadeOut("slow", function(){
                            $this.parents(".record").remove();
                        });
                    }else{
                        alert(resp.message);
                    }
                }
            });
        }
        return false;
    });
    </script>
</body>
</html>
